WorkspaceWorker (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.server.workers

## Class WorkspaceWorker

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.datatransfer.portlets.user.server.workers.WorkspaceWorker

- All Implemented Interfaces:
    com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class WorkspaceWorker
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `autoId`
    `String` | `USERNAME_ATTRIBUTE`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkspaceWorker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkAdminCase(List<String> roles)`
    `FolderDto` | `createTree(org.gcube.common.homelibrary.home.workspace.WorkspaceFolder root, String workspaceWebDavLink)`
    `String` | `fixPath(String workspaceWebDavLink, String path)`
    `org.gcube.application.framework.core.session.ASLSession` | `getASLSession(javax.servlet.http.HttpSession httpSession)`
    `void` | `getAttributes(javax.servlet.http.HttpServletRequest localRequest)`
    `String` | `getUserAndScopeAndRole(javax.servlet.http.HttpServletRequest localRequest)`
    `List<String>` | `getUserRolesByGroup(org.gcube.application.framework.core.session.ASLSession aslSession)`
    `String` | `getWorkspace(javax.servlet.http.HttpServletRequest localRequest)`
    `org.gcube.common.homelibrary.home.workspace.Workspace` | `getWorkspaceWithoutSerialization(javax.servlet.http.HttpServletRequest localRequest)`
    `FolderDto` | `makeFolder(String name, String idInWorkspace)`
    `void` | `printFolder(FolderDto folder, int indent)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERNAME_ATTRIBUTE

          public final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### autoId

          public int autoId

  - ### Constructor Detail

    - #### WorkspaceWorker

          public WorkspaceWorker()

  - ### Method Detail

    - #### getASLSession

          public org.gcube.application.framework.core.session.ASLSession getASLSession(javax.servlet.http.HttpSession httpSession)

    - #### getUserAndScopeAndRole

          public String getUserAndScopeAndRole(javax.servlet.http.HttpServletRequest localRequest)

    - #### getUserRolesByGroup

          public List<String> getUserRolesByGroup(org.gcube.application.framework.core.session.ASLSession aslSession)

    - #### checkAdminCase

          public boolean checkAdminCase(List<String> roles)

    - #### getWorkspace

          public String getWorkspace(javax.servlet.http.HttpServletRequest localRequest)

    - #### getWorkspaceWithoutSerialization

          public org.gcube.common.homelibrary.home.workspace.Workspace getWorkspaceWithoutSerialization(javax.servlet.http.HttpServletRequest localRequest)

    - #### fixPath

          public String fixPath(String workspaceWebDavLink,
                       String path)

    - #### createTree

          public FolderDto createTree(org.gcube.common.homelibrary.home.workspace.WorkspaceFolder root,
                             String workspaceWebDavLink)
                               throws org.gcube.common.homelibrary.home.exceptions.InternalErrorException

      Throws:
        `org.gcube.common.homelibrary.home.exceptions.InternalErrorException`

    - #### makeFolder

          public FolderDto makeFolder(String name,
                             String idInWorkspace)

    - #### printFolder

          public void printFolder(FolderDto folder,
                         int indent)

    - #### getAttributes

          public void getAttributes(javax.servlet.http.HttpServletRequest localRequest)

Copyright © 2015. All Rights Reserved.